Loading...
Searching...
No Matches
session::Session Struct Reference

Session information More...

`import <SessionManager.idl;`

## Public Attributes

int | sessionId
| ID of the session.
string | username
| Name of user owning the session.
string | remoteIp
| Session IP address.
string | clientType
| Client type.
time | creationTime
| Session creation timestamp (seconds since system boot)
int | timeout
| Session timeout in seconds.
int | idle
| Session idle time in seconds.
int | userIdle
| User idle time in seconds.

## Detailed Description

Session information

Definition at line 12 of file SessionManager.idl.

## Member Data Documentation

## clientType

string session::Session::clientType

Client type.

Definition at line 16 of file SessionManager.idl.

## creationTime

time session::Session::creationTime

Session creation timestamp (seconds since system boot)

Definition at line 17 of file SessionManager.idl.

## idle

int session::Session::idle

Session idle time in seconds.

Definition at line 19 of file SessionManager.idl.

## remoteIp

string session::Session::remoteIp

Session IP address.

Definition at line 15 of file SessionManager.idl.

## sessionId

int session::Session::sessionId

ID of the session.

Definition at line 13 of file SessionManager.idl.

## timeout

int session::Session::timeout

Session timeout in seconds.

Definition at line 18 of file SessionManager.idl.

## userIdle

int session::Session::userIdle

User idle time in seconds.

Definition at line 20 of file SessionManager.idl.

## username

string session::Session::username

Name of user owning the session.

Definition at line 14 of file SessionManager.idl.

The documentation for this struct was generated from the following file:

- SessionManager.idl